Bug 1908914 - CNO: upgrade nodes before masters
Summary: CNO: upgrade nodes before masters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Casey Callendrello
QA Contact: Anurag saxena
URL:
Whiteboard:
: 1915970 (view as bug list)
Depends On: 1920445
Blocks: 1908765 1950094
TreeView+ depends on / blocked
 
Reported: 2020-12-17 22:14 UTC by Dan Williams
Modified: 2021-04-20 15:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1950094 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:46:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 961 0 None closed Bug 1908914: OVN-Kubernetes: upgrade node before master, downgrade master before node Upgrade ovn node first 2021-02-11 19:40:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:50 UTC

Description Dan Williams 2020-12-17 22:14:34 UTC
OVN has always had a node-before-master upgrade strategy, where ovn-controller is kept compatible with SBDB schema and format changes for a couple versions. The expectation is that all ovn-controllers are updated first, and only when compatible ovn-controllers are running does ovn-northd get upgraded and potentially make incompatible database changes.

If this strategy isn't followed (which is the case with OpenShift which upgrades masters first) then older ovn-controllers may not understand the new changes to SBDB and might not install those flows to OVS, leading to missing flows.

The CNO should be changed to upgrade the ovn-kubernetes node daemonset first, and whne all nodes in the cluster have been updated, then upgrade the master pods.

Comment 1 Dan Williams 2020-12-17 22:18:37 UTC
https://issues.redhat.com/browse/SDN-1373

Comment 7 errata-xmlrpc 2021-02-24 15:46:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633

Comment 8 Casey Callendrello 2021-04-20 15:17:35 UTC
*** Bug 1915970 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.